﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - IMovieDb</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>
<body>
    <nav class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a asp-area="" asp-controller="Home" asp-action="Index" class="navbar-brand">IMovieDb</a>
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li><a asp-area="" asp-controller="Home" asp-action="Index">Home</a></li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Movies<span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByActor">Show Movies by Actor</a></li>
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByDirector">Show Movies by Director</a></li>
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByGenre">Show Movies by Genre</a></li>
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByMainGenre">Show Movies by Main Genre</a></li>
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByReleaseYear">Show Movies by Release Year</a></li>
                            <li><a asp-area="" asp-controller="Movie" asp-action="ShowMoviesByReleaseDate">Show Movies by Release Date</a></li>

                        </ul>
                    </li>
                    <li><a asp-area="" asp-controller="Movie" asp-action="Search">Search</a></li>
                    @if (User.IsInRole("Admin"))
                    {
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Administration<span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddMovie">Add Movie</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddDirector">Add Movie Director</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddActors">Add Movie Actors</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddPreview">Add Movie Preview</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddRating">Add Movie Rating</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddGenres">Add Movie Genres</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="AddMainGenres">Add Main Genres</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="ChangePreview">Change Movie Preview</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="ChangeRating">Change Movie Rating</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="DeleteMovie">Delete Movie</a></li>
                                <li><a asp-area="" asp-controller="Movie" asp-action="DeleteGenres">Delete Movie Genres</a></li>
                            </ul>
                        </li>
                    }
                </ul>
                @await Html.PartialAsync("_LoginPartial")
            </div>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; 2019 - IMovieDb</p>
        </footer>
    </div>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-2.2.0.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-K+ctZQ+LL8q6tP7I94W+qzQsfRV2a+AfHIi9k8z8l9ggpc8X+Ytst4yBo/hH+8Fk">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>
